
package de.ivu.elect.was.sitzberechnung.entity;

import static java.util.stream.Collectors.joining;

import java.util.Collection;
import java.util.HashSet;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;

public class ElectSitzberechnungKandidat extends AbstractElectSitzberechnungObject implements de.ivu.elect.sitzberechnung.Kandidat {

  private final Collection<Kandidatur> kandidaturen;

  public ElectSitzberechnungKandidat(Collection<Kandidatur> kandidaturenIdentischVerknuepft) {
    super(kandidaturenIdentischVerknuepft.stream().map(kandidatur -> kandidatur.getPk().toString()).sorted().collect(joining("_")));

    this.kandidaturen = new HashSet<>(kandidaturenIdentischVerknuepft);
  }

  public Collection<Kandidatur> getKandidaturen() {
    return kandidaturen;
  }
}
